Error during bench update - ubunto 16 python 3.5

Dears
kindly dupport as i got below error when i use : bench update --reset

frappe@vmi275933:~/frappe-bench$ bench update --reset
INFO:bench.utils:updating bench
INFO:bench.utils:git pull
Already up-to-date.
INFO:bench.utils:./env/bin/pip install Pillow
Requirement already satisfied: Pillow in ./env/lib/python3.5/site-packages (6.2.1)
Backing up sites…
INFO:bench.app:pulling frappe
INFO:bench.utils:git fetch --all
Fetching upstream
INFO:bench.utils:git reset --hard upstream/version-12
HEAD is now at 94a211e Merge branch ‘v12-pre-release’ into version-12
INFO:bench.utils:find . -name “.pyc" -delete
INFO:bench.app:pulling erpnext
INFO:bench.utils:git fetch --all
Fetching upstream
INFO:bench.utils:git reset --hard upstream/version-12
HEAD is now at e0912e4 Merge branch ‘v12-pre-release’ into version-12
INFO:bench.utils:find . -name "
.pyc” -delete
INFO:bench.app:pulling bench_manager
INFO:bench.utils:git fetch --all
Fetching upstream
INFO:bench.utils:git reset --hard upstream/develop
HEAD is now at dbe65b5 Merge pull request #58 from gavindsouza/desk-module
INFO:bench.utils:find . -name “*.pyc” -delete
Updating Python libraries…
INFO:bench.utils:./env/bin/pip install --upgrade pip
Requirement already up-to-date: pip in ./env/lib/python3.5/site-packages (19.3.1)
INFO:bench.utils:./env/bin/pip install -q -U -r /home/frappe/.bench/requirements.txt
INFO:bench.app:installing frappe
INFO:bench.utils:./env/bin/pip install -q -U -e ./apps/frappe
INFO:bench.app:installing erpnext
INFO:bench.utils:./env/bin/pip install -q -U -e ./apps/erpnext
INFO:bench.app:installing bench_manager
INFO:bench.utils:./env/bin/pip install -q -U -e ./apps/bench_manager
Updating node packages…
INFO:bench.utils:yarn install
yarn install v1.17.3
[1/4] Resolving packages…
success Already up-to-date.
Done in 0.36s.
INFO:bench.utils:yarn install
yarn install v1.17.3
[1/4] Resolving packages…
[2/4] Fetching packages…
[3/4] Linking dependencies…
warning " > bootstrap@4.3.1" has unmet peer dependency “jquery@1.9.1 - 3”.
warning " > bootstrap@4.3.1" has unmet peer dependency “popper.js@^1.14.7”.
[4/4] Building fresh packages…
success Saved lockfile.
Done in 5.80s.
Patching sites…
Migrating site.noshnosh
Executing frappe.patches.v11_0.make_all_prepared_report_attachments_private in site.noshnosh (_743732b4dd0c5abd)
Traceback (most recent call last):
File “/home/frappe/frappe-bench/env/lib/python3.5/shutil.py”, line 538, in move
os.rename(src, real_dst)
FileNotFoundError: [Errno 2] No such file or directory: ‘./site.noshnosh/public/files/2019-37-11-13:3.json.gz’ -> ‘./site.noshnosh/private/files/2019-37-11-13:3.json.gz’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 233, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File “/home/frappe/frappe-bench/apps/frappe/frappe/migrate.py”, line 48, in migrate
frappe.modules.patch_handler.run_all(skip_failing)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 41, in run_all
run_patch(patch)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 30, in run_patch
if not run_single(patchmodule = patch):
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 71, in run_single
return execute_patch(patchmodule, method, methodargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 91, in execute_patch
frappe.get_attr(patchmodule.split()[0] + “.execute”)()
File “/home/frappe/frappe-bench/apps/frappe/frappe/patches/v11_0/make_all_prepared_report_attachments_private.py”, line 10, in execute
file_doc.save()
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 272, in save
return self._save(*args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 308, in _save
self.run_before_save_methods()
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 888, in run_before_save_methods
self.run_method(“validate”)
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 787, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1058, in composer
return composed(self, method, *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 1041, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 781, in
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/core/doctype/file/file.py”, line 117, in validate
os.path.join(private_files, self.file_name))
File “/home/frappe/frappe-bench/env/lib/python3.5/shutil.py”, line 552, in move
copy_function(src, real_dst)
File “/home/frappe/frappe-bench/env/lib/python3.5/shutil.py”, line 251, in copy2
copyfile(src, dst, follow_symlinks=follow_symlinks)
File “/home/frappe/frappe-bench/env/lib/python3.5/shutil.py”, line 114, in copyfile
with open(src, ‘rb’) as fsrc:
FileNotFoundError: [Errno 2] No such file or directory: ‘./site.noshnosh/public/files/2019-37-11-13:3.json.gz’
frappe@vmi275933:~/frappe-bench$

@Nader_Adel

Try this, might help you

can you specify the part please , as this is general topic

@Nader_Adel https://github.com/frappe/frappe/pull/8900 should fix this.

Sorry for stupid Question , what exactly shall i do to solve the problem ?

all site :

Updating

Your system is being updated. Please refresh again after a few moments

@Nader_Adel.

Please let me know the output of " bench migrate "

same error

FileNotFoundError: [Errno 2] No such file or directory: ‘./site.noshnosh/public/files/2019-37-11-13:3.json.gz’